# -*- coding: utf-8 -*-
from setuphelpers import *
    
app_uninstallkey = "{74CECDD9-4B8E-4AE3-9571-8070A17F3C34}"

def install():
    bin_name_string = "EZCast_Win%s.exe"
    silent_args = "/S -var:Reboot=No"
    # Specific app values
    package_version = control.version.split("-")[0]

    # Getting the used storage on programfiles before installation (place it on the top)
    get_disk_free_space_before = get_disk_free_space(programfiles)

    # Installing the package
    install_exe_if_needed(bin_name_string % package_version, silentflags=silent_args, key=app_uninstallkey, min_version=package_version, timeout=600)

    # Avoiding the usage by WAPT of the app built-in Uninstallstring
    uninstallkey.remove(app_uninstallkey)

    # Return used storage of the program. (place it on the bottom)
    get_disk_free_space_after = get_disk_free_space(programfiles)
    free_space_after_diff = get_disk_free_space_before - get_disk_free_space_after
    print("Storage used: " + str(free_space_after_diff))


def uninstall():
    # Uninstalling the package
    app_exe = ["EZCast.exe", "EZCastService.exe"]
    killalltasks(app_exe)

    run(r'"%s" /S /norestart' % makepath(install_location(app_uninstallkey), "Uninstall.exe"))