# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Initializing variables
    bin_name_string = "EZCast_Win%s.exe"
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name
    url = "https://www.ezcast.com/app/ezcast/windows"
    bin_end = bin_name_string.split("%s")[-1]
    bin_start = bin_name_string.split("%s")[0]

    # Getting latest version from official sources
    print("URL used is: %s" % url)
    for bs_search in bs_find_all(url, "a", "href", "javascript:void(0);", proxies=proxies):
        url_dl = bs_search["onclick"].split("'")[1]
        if url_dl.endswith(bin_end):
            latest_bin = url_dl.split("/")[-1]
            version = latest_bin.split(bin_start)[-1].split(bin_end)[0]
            break

    print("Latest %s version is: %s" % (app_name, version))
    print("Download url is: %s" % url_dl)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(url_dl, latest_bin, proxies=proxies)

        # Checking version from file
        version_from_file = get_version_from_binary(latest_bin)
        if version != version_from_file:
            os.rename(latest_bin, bin_name_string % version_from_file)
            version = version_from_file

        # Changing version of the package
        control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
        control.save_control_to_wapt()
        print("Changing package version to: %s in WAPT\\control" % control.version)

    # Deleting outdated binaries
    remove_outdated_binaries(version)
